Summary:	A handy file search tool
Name:		catfish
Version:	0.8.2
Release:	%mkrel 2
Group:		File tools
License:	GPLv2+
URL:		http://twotoasts.de/index.php/catfish
Source0:	https://launchpad.net/catfish-search/0.8/%{version}/+download/catfish-%{version}.tar.bz2
Patch0:		catfish-0.8.2-strict-Gtk-typelib-requires.patch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires:	python-gi
Requires:	mlocate
Requires:	findutils
BuildArch:	noarch

%description
Catfish is a handy file searching tool for linux and unix. The
interface is intentionally lightweight and simple, using only
GTK+3. You can configure it to your needs by using several
command line options.

%prep
%setup -q
%apply_patches

%build
sed -i.misc \
	-e '/svg/s|install|install -pm 644|' \
	-e '/glade/s|install| install -pm 644|' \
	-e 's|install |install -p |' \
	-e 's|pyc|py|' \
	-e 's|^\([ \t]*\)ln |\1: ln |' \
	-e 's|cp -rf|cp -prf|' \
	Makefile.in.in

sed -i.check \
	-e 's|check ||g' \
	configure

# (tpg) do not use macro here
./configure \
	--prefix=%{_prefix} \
	--python=python

%install
%makeinstall_std

desktop-file-install \
	--remove-category="Utility" \
	--add-category='System' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# handle docs in %files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.8.2-2.mga4
+ Revision: 541373
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 wally <wally> 0.8.2-1.mga4
+ Revision: 495814
- new version 0.8.2
- switch to gtk3
- clean .spec

* Fri Aug 02 2013 dams <dams> 0.6.4-1.mga4
+ Revision: 462552
- new version 0.6.4

* Tue May 28 2013 shlomif <shlomif> 0.6.3-1.mga4
+ Revision: 429748
- Add missing BR
- New version 0.6.3
- Remove trailing space

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-6.mga3
+ Revision: 347435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + sander85 <sander85>
    - Update URL

* Sat Mar 26 2011 wally <wally> 0.3.2-5.mga1
+ Revision: 77832
- drop obsolete py_requires macro
- drop buildroot definition
- fix pyxdg package name in requires
- imported package catfish


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.3.2-5mdv2011.0
+ Revision: 590788
- rebuild for py2.7

* Wed Jun 09 2010 Funda Wang <fwang@mandriva.org> 0.3.2-4mdv2010.1
+ Revision: 547339
- add system category (bug#58189)

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-3mdv2010.0
+ Revision: 436946
- rebuild

* Thu Jan 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 323191
- rebuild for new python

* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.1
+ Revision: 300964
- fix file list
- update to new version 0.3.2

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.3-8mdv2009.0
+ Revision: 243437
- rebuild

* Wed Mar 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-6mdv2008.1
+ Revision: 187121
- drop suggests on beagle
- default file manager is Thunar

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-5mdv2008.1
+ Revision: 133604
- suggests beagle
- tune up desktop file

* Tue Dec 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-4mdv2008.1
+ Revision: 131980
- add patch 0, fixes separator position
- do not package COPYING file

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix missing space after final stop

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2008.1
+ Revision: 104108
- fix requires (i hope this will be last time ;)

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2008.1
+ Revision: 104053
- fix requires

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-1mdv2008.1
+ Revision: 104023
- fix requires
- change requires fro strigi to beagle, as it is more apopriate ;)
- import catfish


